## ploop 1.9

=== debian/changelog ===
ploop (1.9-10) unstable; urgency=medium

  * Added parted, e2fsprogs and util-linux to the dependencies for
    libploop1.
  * Added recommendation for lsof and findutils (they are only used
    in special error cases).

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Nov 2013 21:19:10 +0100

ploop (1.9-9) unstable; urgency=low

  * Finally it is possible to build on ia64. Verified on a porter box.

 -- Ola Lundqvist <opal@debian.org>  Thu, 31 Oct 2013 19:48:35 +0100

ploop (1.9-8) unstable; urgency=low

  * One more fix for ia64. This time it is the '%lld' macro.

 -- Ola Lundqvist <opal@debian.org>  Thu, 31 Oct 2013 17:29:58 +0100

ploop (1.9-7) unstable; urgency=low

  * Build on ia64 is harder than it looks. More files need to be
    patched.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Oct 2013 21:38:20 +0100

ploop (1.9-6) unstable; urgency=low

  * The previous fix for ia64 was not good enough. Better fix this time.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Oct 2013 20:00:38 +0100

ploop (1.9-5) unstable; urgency=low

  * Fixed build problem on ia64 architecture.

 -- Ola Lundqvist <opal@debian.org>  Wed, 30 Oct 2013 19:18:19 +0100

ploop (1.9-4) unstable; urgency=low

  * Applied a patch from upstream that solves the problem with builds on
    architectures other than i386 and amd64, reported by Aaron M. Ucko
    <ucko@debian.org>. Closes: #728173.
  * Made the package arhitecture linux-any based on the information from
    upstream that there is nothing that should prevent it from being
    architecture agnostic.

 -- Ola Lundqvist <opal@debian.org>  Tue, 29 Oct 2013 21:12:00 +0100

ploop (1.9-3) unstable; urgency=low

  * Added dependency on pkg-config to make sure it builds in a minimal
    build environment. Closes: #728172.
  * Limited the architectures to i386 ia64 amd64 powerpc sparc which is
    the same as vzctl is limited to. Closes: #728174.

 -- Ola Lundqvist <opal@debian.org>  Tue, 29 Oct 2013 18:24:50 +0100

ploop (1.9-2) unstable; urgency=low

  * Applied patch from upstream to make sure /var/lock/ploop directory
    is created.

 -- Ola Lundqvist <opal@debian.org>  Sat, 05 Oct 2013 11:50:45 +0200

ploop (1.9-1) unstable; urgency=low

  * New upstream release.
  * Added hardening-wrapper to build depends.
  * Applied a patch from git to make this source build with hardening on.
  * Fixed possible rmdir error in postrm and prerm scripts.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Sep 2013 14:21:02 +0200

ploop (1.8-1) unstable; urgency=low

  * Initial release (Closes: #720292)
  * Support for multiarch.

 -- Ola Lundqvist <opal@debian.org>  Tue, 20 Aug 2013 07:05:12 +0200

## ploop 1.10

=== Makefile ===
include Makefile.inc

SPEC=$(NAME).spec
VERSION=$(shell awk '/^Version:/{print $$2}' $(SPEC))
RELEASE=$(shell awk '/^%define rel / {if ($$3 != 1) print "-"$$3}' $(SPEC))
NAMEVER=$(NAME)-$(VERSION)$(RELEASE)
TARBALL=$(NAMEVER).tar.bz2

SUBDIRS=include lib tools scripts etc

all install clean distclean:
	@set -e; \
	for d in $(SUBDIRS); do $(MAKE) -C $$d $@; done
.PHONY: all install clean

check-api:
	$(MAKE) -C include $@
.PHONY: check-api

dist: check-api tar
tar: $(TARBALL)
.PHONY: dist tar

$(TARBALL): clean
	rm -f ../$(NAMEVER)
	ln -s `pwd | awk -F / '{print $$NF}'` ../$(NAMEVER)
	tar --directory .. --exclude-vcs --exclude .depend \
		--exclude-from .gitignore \
		-cvhjf ../$(TARBALL) $(NAMEVER)
	rm -f $(TARBALL)
	mv ../$(TARBALL) .
	rm -f ../$(NAMEVER)

rpms: tar
	rpmbuild -ta $(TARBALL) ${RPMB_ARGS}
.PHONY: rpms

cov: clean
	rm -rf cov-int
	cov-build --dir cov-int make
	tar czf cov.tgz cov-int
	rm -rf cov-int
	git describe --tags HEAD
.PHONY: cov

=== etc/Makefile ===
include ../Makefile.inc

all clean distclean:
.PHONY: all clean distclean

install:
	$(Q) $(INSTALL) -d $(DESTDIR)$(TMPFILESDIR)
	$(Q) $(INSTALL) -m 644 tmpfiles.d/ploop.conf $(DESTDIR)$(TMPFILESDIR)
.PHONY: install

=== include/Makefile ===
include ../Makefile.inc
INCLUDES=libploop.h ploop_if.h ploop1_image.h dynload.h

all: $(INCLUDES) check-api
.PHONY: all

clean:
	$(E) "  CLEAN   "
	$(Q) rm -f new-dynload.h
.PHONY: clean

distclean: clean
.PHONY: distclean

install:
	$(Q) $(INSTALL) -d $(DESTDIR)$(INCDIR)
	$(E) "  INSTALL " $(INCLUDES)
	$(Q) $(INSTALL) -m 644 $(INCLUDES) $(DESTDIR)$(INCDIR)
.PHONY: install

check-api: ../gensym.sh libploop.h
	$(E) "  CHECK     " dynload.h
	$(Q) $^ new-dynload.h
	$(Q) sed -e '1,/^struct ploop_functions {$$/d' \
		 -e '/\/\* struct ploop_functions \*\/$$/,$$d' dynload.h | \
		grep -vE '^[[:space:]]*/\*.**/$$' | \
		grep -v '^	void \*padding\[' | \
		sort > cur-dynload.h
	$(Q) diff -u cur-dynload.h new-dynload.h || \
		( echo "*** API CHANGED, PLEASE UPDATE dynload.h"; exit 1 )
	$(Q) rm -f cur-dynload.h new-dynload.h
.PHONY: check-api

=== lib/Makefile ===
include ../Makefile.inc

# Get version numbers from spec file
SPEC    := ../$(NAME).spec
VERSION := $(shell awk '/^Version:/{print $$2}' $(SPEC))
V_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
V_MINOR := $(patsubst $(V_MAJOR).%,%,$(VERSION))

LIBPLOOP        := libploop.a
LIBPLOOP_SO     := libploop.so
LIBPLOOP_SO_X   := $(LIBPLOOP_SO).$(V_MAJOR)
LIBPLOOP_SO_X_Y := $(LIBPLOOP_SO_X).$(V_MINOR)

LIBOBJS=uuid.o \
	delta_read.o \
	delta_sysfs.o \
	balloon_util.o \
	check.o \
	ploop.o \
	xml.o \
	logger.o \
	balloon.o \
	lock.o \
	fsutils.o \
	gpt.o \
	crc32.o \
	merge.o \
	util.o \
	pcopy.o \
	di.o \
	cleanup.o \
	symbols.o

SOURCES=$(LIBOBJS:.o=.c)
GENERATED=symbols.c

CFLAGS += $(shell pkg-config libxml-2.0 --cflags) -fPIC -fvisibility=hidden
LDFLAGS+= -shared -Wl,-soname,$(LIBPLOOP_SO_X)
LDLIBS += $(shell pkg-config libxml-2.0 --libs) -lrt

all: $(LIBPLOOP) $(LIBPLOOP_SO)
.PHONY: all

symbols.c: ../gensym.sh ../include/libploop.h
	$(E) "  GEN     " $@
	$(Q) $^ $@


$(LIBPLOOP): $(LIBOBJS)
	$(E) "  LINK    " $@
	$(Q) $(AR) rcs $@ $+
	$(Q) ranlib $@

$(LIBPLOOP_SO_X_Y): $(LIBOBJS)
	$(E) "  LINK    " $@
	$(Q) $(CC) $(CFLAGS) $(LDFLAGS) $^ ${LDLIBS} -o $@

$(LIBPLOOP_SO_X): $(LIBPLOOP_SO_X_Y)
	$(E) "  LN_S    " $@
	$(Q) ln -sf $^ $@

$(LIBPLOOP_SO): $(LIBPLOOP_SO_X)
	$(E) "  LN_S    " $@
	$(Q) ln -sf $^ $@

.depend: $(filter-out $(GENERATED),$(SOURCES))
-include .depend

install-lockdir:
	$(Q) $(INSTALL) -d $(DESTDIR)$(LOCKDIR)
.PHONY: install-lockdir

install: all install-lockdir
	$(Q) $(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(E) "  INSTALL " $(LIBPLOOP)
	$(Q) $(INSTALL) -m 644 $(LIBPLOOP) $(DESTDIR)$(LIBDIR)
	$(E) "  INSTALL " $(LIBPLOOP_SO_X_Y)
	$(Q) $(INSTALL) -m 755 $(LIBPLOOP_SO_X_Y) $(DESTDIR)$(LIBDIR)
	$(E) "  INSTALL " $(LIBPLOOP_SO_X) $(LIBPLOOP_SO)
	$(Q) cp -a $(LIBPLOOP_SO_X) $(LIBPLOOP_SO) $(DESTDIR)$(LIBDIR)
.PHONY: install

clean:
	$(E) "  CLEAN   "
	$(Q) rm -f $(GENERATED) *.o *.a *.so *.so.*
.PHONY: clean

distclean: clean
	$(Q) rm -f .depend
.PHONY: distclean

=== debian/changelog ===
ploop (1.10-2) unstable; urgency=low

  * Fix ia64 build.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Dec 2013 00:45:05 +0100

ploop (1.10-1) unstable; urgency=low

  * New upstream release. Now upstream includes the solution for #728173.

 -- Ola Lundqvist <opal@debian.org>  Mon, 23 Dec 2013 14:05:46 +0100

=== debian/control ===
Source: ploop
Section: libs
Priority: extra
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 9.0.0), e2fslibs-dev, libxml2-dev, dh-exec (>=0.3), hardening-wrapper, pkg-config
Standards-Version: 3.9.3
Homepage: http://download.openvz.org/utils/ploop
Vcs-Git: git://git.openvz.org/ploop
Vcs-Browser: http://git.openvz.org/pub/ploop

Package: ploop
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libploop1 (= ${binary:Version})
Description: tools to work with ploop devices and images
 This package contains tools to work with ploop devices and images.

Package: libploop-dev
Section: libdevel
Architecture: i386 ia64 amd64 powerpc sparc
Depends: libploop1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ploop API development library
 Headers and a static version of Parallels loopback (ploop) block device
 API library.

Package: libploop1
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, parted, util-linux, e2fsprogs
Recommends: lsof, findutils
Pre-Depends: ${misc:Pre-Depends}
Description: ploop API library
 Parallels loopback (ploop) block device API library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 

#override_dh_auto_make:
#        $(MAKE) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install
	rmdir debian/tmp/var/lock/ploop
	rmdir debian/tmp/var/lock
	rmdir debian/tmp/var

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) distclean

## ploop 1.12

=== debian/changelog ===
ploop (1.12-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Wed, 20 Aug 2014 21:57:58 +0200

ploop (1.11-1) unstable; urgency=low

  * New upstream release.
  * Support for ia64 removed.
  * Removed dependency on util-linux, e2fsprogs and findutils as those packages
    are essential and will always be installed.

 -- Ola Lundqvist <opal@debian.org>  Fri, 18 Apr 2014 13:45:09 +0200

## ploop 1.12.1

=== debian/changelog ===
ploop (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Ola Lundqvist <opal@debian.org>  Sun, 14 Sep 2014 13:54:37 +0200

## ploop 1.12.2

=== Makefile ===
--- 
+++ 
@@ -42,3 +42,6 @@
 	rm -rf cov-int
 	git describe --tags HEAD
 .PHONY: cov
+
+# Add optional local rules
+-include Makefile.local

=== debian/changelog ===
ploop (1.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Wed, 07 Jan 2015 20:33:13 +0100

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, parted, util-linux, e2fsprogs
-Recommends: lsof, findutils
+Depends: ${shlibs:Depends}, ${misc:Depends}, parted
+Recommends: lsof
 Pre-Depends: ${misc:Pre-Depends}
 Description: ploop API library
  Parallels loopback (ploop) block device API library.

## ploop 1.13.2

=== debian/changelog ===
ploop (1.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Apr 2015 21:49:15 +0200

## ploop 1.14.1

=== debian/changelog ===
ploop (1.14.1-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.9.6.
  * Added removal of lib/ploop.pc as it was not properly cleaned
    at make clean or make distclean targets.

 -- Ola Lundqvist <opal@debian.org>  Mon, 16 Nov 2015 19:49:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends: debhelper (>= 9.0.0), e2fslibs-dev, libxml2-dev, dh-exec (>=0.3), hardening-wrapper, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://download.openvz.org/utils/ploop
 Vcs-Git: git://git.openvz.org/ploop
 Vcs-Browser: http://git.openvz.org/pub/ploop

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,4 @@
 override_dh_auto_clean:
 	$(MAKE) clean
 	$(MAKE) distclean
+	rm -f lib/ploop.pc

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://download.openvz.org/utils/ploop/(\d.*)/src/ploop-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php ploop-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/ploop-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/ploop-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/ploop/ploop-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html ploop-(.*)\.tar\.gz

## ploop 1.15

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,5 @@
 include Makefile.inc
 
-SPEC=$(NAME).spec
-VERSION=$(shell awk '/^Version:/{print $$2}' $(SPEC))
-RELEASE=$(shell awk '/^%define rel / {if ($$3 != 1) print "-"$$3}' $(SPEC))
 NAMEVER=$(NAME)-$(VERSION)$(RELEASE)
 TARBALL=$(NAMEVER).tar.bz2

=== etc/Makefile ===
include ../Makefile.inc

all clean distclean:
.PHONY: all clean distclean

install_tmpfiles:
	$(Q) $(INSTALL) -d $(DESTDIR)$(TMPFILESDIR)
	$(Q) $(INSTALL) -m 644 tmpfiles.d/ploop.conf $(DESTDIR)$(TMPFILESDIR)

install_logrotate:
	$(Q) $(INSTALL) -d $(DESTDIR)/$(LOGROTATEDIR)
	$(Q) $(INSTALL) -m 644 logrotate.d/ploop $(DESTDIR)/$(LOGROTATEDIR)

install: install_tmpfiles $(if $(PLOOP_LOG_FILE), install_logrotate)

.PHONY: install install_tmpfiles install_logrotate

=== lib/Makefile ===
--- 
+++ 
@@ -1,8 +1,5 @@
 include ../Makefile.inc
 
-# Get version numbers from spec file
-SPEC    := ../$(NAME).spec
-VERSION := $(shell awk '/^Version:/{print $$2}' $(SPEC))
 V_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
 V_MINOR := $(patsubst $(V_MAJOR).%,%,$(VERSION))
 
@@ -10,6 +7,9 @@
 LIBPLOOP_SO     := libploop.so
 LIBPLOOP_SO_X   := $(LIBPLOOP_SO).$(V_MAJOR)
 LIBPLOOP_SO_X_Y := $(LIBPLOOP_SO_X).$(V_MINOR)
+
+PC=$(NAME).pc
+PCDIR=$(LIBDIR)/pkgconfig
 
 LIBOBJS=uuid.o \
 	delta_read.o \
@@ -27,8 +27,11 @@
 	merge.o \
 	util.o \
 	pcopy.o \
+	ploop-copy.o \
 	di.o \
 	cleanup.o \
+	deprecated.o \
+	snapshot.o \
 	symbols.o
 
 SOURCES=$(LIBOBJS:.o=.c)
@@ -36,10 +39,17 @@
 
 CFLAGS += $(shell pkg-config libxml-2.0 --cflags) -fPIC -fvisibility=hidden
 LDFLAGS+= -shared -Wl,-soname,$(LIBPLOOP_SO_X)
-LDLIBS += $(shell pkg-config libxml-2.0 --libs) -lrt
+LDLIBS += $(shell pkg-config libxml-2.0 --libs) -lpthread -lrt
 
-all: $(LIBPLOOP) $(LIBPLOOP_SO)
+all: $(LIBPLOOP) $(LIBPLOOP_SO) $(PC)
 .PHONY: all
+
+$(PC): $(PC).in
+	$(E) "  GEN     " $@
+	$(Q) sed \
+		-e 's|@VERSION@|$(VERSION)|g' \
+		-e 's|@LIBDIR@|$(LIBDIR)|g' \
+		$^ > $@
 
 symbols.c: ../gensym.sh ../include/libploop.h
 	$(E) "  GEN     " $@
@@ -70,7 +80,13 @@
 	$(Q) $(INSTALL) -d $(DESTDIR)$(LOCKDIR)
 .PHONY: install-lockdir
 
-install: all install-lockdir
+install-pc: $(PC)
+	$(E) "  INSTALL " $(PC)
+	$(Q) $(INSTALL) -d $(DESTDIR)$(PCDIR)
+	$(Q) $(INSTALL) $(PC) $(DESTDIR)$(PCDIR)
+.PHONY: install-pc
+
+install: all install-lockdir install-pc
 	$(Q) $(INSTALL) -d $(DESTDIR)$(LIBDIR)
 	$(E) "  INSTALL " $(LIBPLOOP)
 	$(Q) $(INSTALL) -m 644 $(LIBPLOOP) $(DESTDIR)$(LIBDIR)

=== scripts/Makefile ===
include ../Makefile.inc

SCRIPTS=mount.ploop umount.ploop

all: $(SCRIPTS)
.PHONY: all

clean distclean:
.PHONY: clean distclean

install:
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 755 $(SCRIPTS) $(DESTDIR)$(SBINDIR)
.PHONY: install

=== tools/Makefile ===
include ../Makefile.inc

PROGS =	ploop \
	ploop-balloon

BINS	= $(PROGS)

MAN8	= ploop.8
MANS	= $(MAN8)

PLOOP_OBJS = \
	  common.o \
	  ploop-check.o \
	  ploop-grow.o \
	  ploop-merge.o \
	  ploop-stat.o \
	  ploop-copy.o \
	  ploop-snapshot.o

OBJS	= $(addsuffix .o,$(PROGS)) $(PLOOP_OBJS)
SOURCES	= $(OBJS:.o=.c)
CFLAGS	+= -I../lib
LDFLAGS	+= -L../lib
LDLIBS	= -lploop

all: $(PROGS) $(MANS)
.PHONY: all

$(PROGS): $(LIBPLOOP)

%: %.o common.o
	$(E) "  LD      " $@
	$(Q) $(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@

ploop: $(PLOOP_OBJS)

.depend: $(SOURCES)
-include .depend

%.8: %.8.in macros.tmac
	$(E) "  GEN     " $@
	$(Q) cat macros.tmac $< > $@

install-man: $(MANS)
	$(E) "  INSTALL " $(MAN8)
	$(Q) $(INSTALL) -d $(DESTDIR)$(MAN8DIR)
	$(Q) $(INSTALL) -m 644 $(MAN8) $(DESTDIR)$(MAN8DIR)/

install-bin: $(BINS)
	$(Q) $(INSTALL) -d $(DESTDIR)$(USRSBINDIR)
	$(E) "  INSTALL " $(BINS)
	$(Q) $(INSTALL) -m 755 $(BINS) $(DESTDIR)$(USRSBINDIR)/

install: install-bin install-man
.PHONY: install install-bin install-man

clean:
	$(E) "  CLEAN   "
	$(Q) rm -f $(PROGS) $(OBJS) $(MANS)
.PHONY: clean

distclean: clean
	$(Q) rm -f .depend
.PHONY: distclean

=== debian/changelog ===
ploop (1.15-6) unstable; urgency=medium

  * QA upload.
  * Fix compilation with gcc 8. (Closes: #897835)
  * Drop unnecessary usage of dh-exec.
  * Enable all hardening options.
  * Simplify debian/watch and debian/rules.
  * Fix spelling errors found by lintian.
  * Use https in control and copyright.
  * Drop duplicated section field.
  * Bump debhelper compat/dependency to 11.
  * Bump Standards-Version to 4.1.5.
  * Use more appropriate homepage field.
  * Refresh patches and add headers.
  * Add upstream metadata file.
  * Drop lintian overrides for binaries that no longer exist.
  * Change ploop section to admin.
  * Add longer package descriptions.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 29 Jul 2018 00:01:58 +0200

ploop (1.15-5) unstable; urgency=medium

  * QA upload.
  * Add e2fsprogs to dependencies of libploop1 (Closes: #887298)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 15 Jan 2018 16:57:26 +0100

ploop (1.15-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with glibc 2.25. (Closes: #882295)
  * Unhide the compiler flags during the build.
  * Priority extra -> optional.

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Nov 2017 21:07:16 +0200

ploop (1.15-3) unstable; urgency=low

  * Fix FTBFS issue, closes: #853619.
  * Maintainer changed to Debian QA Team.

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Sep 2017 21:42:34 +0200

ploop (1.15-2) unstable; urgency=high

  * Removed depdendency on hardening wrapper. Closes: #836646.
  * Removed vcs listing from control file as that is for upstream vcs.

 -- Ola Lundqvist <opal@debian.org>  Sun, 11 Sep 2016 22:01:27 +0200

ploop (1.15-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch file from Bart Martens <bartm@debian.org>.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Jun 2016 22:58:56 +0200

=== debian/control ===
Source: ploop
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 11), e2fslibs-dev, libxml2-dev, pkg-config
Standards-Version: 4.1.5
Homepage: https://wiki.openvz.org/Ploop

Package: ploop
Section: admin
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libploop1 (= ${binary:Version})
Description: tools to work with ploop devices and images
 Ploop is a disk loopback block device, not unlike loop but with many
 features like dynamic resize, snapshots, backups etc. The main idea is to
 put container filesystem in a file.
 .
 This package contains tools to work with ploop devices and images.

Package: libploop-dev
Section: libdevel
Architecture: i386 ia64 amd64 powerpc sparc
Depends: libploop1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ploop API development library
 Ploop is a disk loopback block device, not unlike loop but with many
 features like dynamic resize, snapshots, backups etc. The main idea is to
 put container filesystem in a file.
 .
 This package contains headers and a static version of Parallels loopback
 (ploop) block device API library.

Package: libploop1
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, parted, e2fsprogs
Recommends: lsof
Pre-Depends: ${misc:Pre-Depends}
Description: ploop API library
 Ploop is a disk loopback block device, not unlike loop but with many
 features like dynamic resize, snapshots, backups etc. The main idea is to
 put container filesystem in a file.
 .
 This package contains the library for Parallels loopback (ploop) block
 device API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- V=1

=== debian/watch ===
version=4
https://download.openvz.org/utils/ploop/@ANY_VERSION@/src/ploop@ANY_VERSION@@ARCHIVE_EXT@
